text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Numeric.Natural

Description

Monomorphic `TextShow` function for `Natural`s.

Since: 2

Synopsis

- showbNaturalPrec :: Int -> Natural -> Builder

# Documentation

showbNaturalPrec :: Int -> Natural -> Builder Source

Convert a `Natural` to a `Builder` with the given precedence.

Since: 2